summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorSina Tak Tehrani <ssttehrani@gmail.com>2021-10-25 20:28:22 +0200
committerGitHub <noreply@github.com>2021-10-25 20:28:22 +0200
commit1e5e834e0f6486a569efd6b12ce4e33624fef0c9 (patch)
tree9ce86a95a2b760b888786fa9dc92f11cb5c80a54 /lib
parentf1dd97bb2a9df55fae9b1ca26c829b9f8b290667 (diff)
downloadzsh-1e5e834e0f6486a569efd6b12ce4e33624fef0c9.tar.gz
zsh-1e5e834e0f6486a569efd6b12ce4e33624fef0c9.tar.bz2
zsh-1e5e834e0f6486a569efd6b12ce4e33624fef0c9.zip
fix(cli): exit `omz update` with correct error code (#10342)
Diffstat (limited to 'lib')
-rw-r--r--lib/cli.zsh4
1 files changed, 2 insertions, 2 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index 4b14360c1..0b6bbc6cb 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -755,9 +755,9 @@ function _omz::update {
# Run update script
if [[ "$1" != --unattended ]]; then
- ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh" --interactive
+ ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh" --interactive || return $?
else
- ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh"
+ ZSH="$ZSH" zsh -f "$ZSH/tools/upgrade.sh" || return $?
fi
# Update last updated file